Bug 179657 - Intermittently unable to mount NFS filesystem using autofs --ghost
Intermittently unable to mount NFS filesystem using autofs --ghost
Status: CLOSED DUPLICATE of bug 180343
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks: RHEL3U8MustFix
  Show dependency treegraph
 
Reported: 2006-02-01 17:03 EST by Jason Willeford
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-07 09:35:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Willeford 2006-02-01 17:03:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
Using the --ghost feature, unable to mount a directory via automount that was previously available.  The same directory can be mounted manually via the mount command.
Note:
The U7 kernel and autofs are being used:
autofs-4.1.3-168
kernel-2.4.21-37.11

Version-Release number of selected component (if applicable):
autofs-4.1.3-168 / kernel-2.4.21-37.11

How reproducible:
Sometimes

Steps to Reproduce:
1. run autofs with --ghost.
2. wait (wait time seems to depend on load).
3. the directory will eventully become unavailable using an <ls> to test.
  

Actual Results:  The "ls" command hangs with no responce.

Expected Results:  The directory should be available.

Additional info:

================
cat /proc/mounts
================
rootfs / rootfs rw 0 0
/dev/root / ext3 rw 0 0
/proc /proc proc rw 0 0
none /dev/pts devpts rw 0 0
usbdevfs /proc/bus/usb usbdevfs rw 0 0
/dev/sda1 /boot ext3 rw 0 0
/dev/sda5 /ips/local ext3 rw 0 0
none /dev/shm tmpfs rw 0 0
/dev/sda3 /temp ext3 rw 0 0
/dev/sda6 /tmp ext3 rw 0 0
gsdeips2:/ips/admin /ips/admin nfs rw,v3,rsize=8192,wsize=8192,soft,intr,tcp,lock,addr=gsdeips2 0 0
automount(pid18024) /ips/home autofs rw 0 0
automount(pid18063) /ips/dev autofs rw 0 0
automount(pid18118) /ips/tools autofs rw 0 0
automount(pid18185) /ips/oracle autofs rw 0 0
gsdeips1:/ips/home/adm /ips/home/adm nfs rw,v3,rsize=32768,wsize=32768,hard,udp,lock,addr=gsdeips1 0 0
gsdemcc:/bor2 /mnt/test nfs rw,v3,rsize=32768,wsize=32768,hard,udp,lock,addr=gsdemcc 0 0

================
rpm -q -i autofs
================
Name        : autofs                       Relocations: (not relocatable)
Version     : 4.1.3                             Vendor: Red Hat, Inc.
Release     : 168                           Build Date: Fri 02 Dec 2005 09:39:22 AM CST
Install Date: Tue 24 Jan 2006 02:58:15 PM CST      Build Host: hs20-bc1-1.build.redhat.com
Group       : System Environment/Daemons    Source RPM: autofs-4.1.3-168.src.rpm
Size        : 725404                           License: GPL
Signature   : DSA/SHA1, Fri 20 Jan 2006 05:16:57 PM CST, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : A tool for automatically mounting and unmounting filesystems.
Description :
Autofs controls the operation of the automount daemons. The automount
daemons automatically mount filesystems when you use them and
unmount them after a period of inactivity. Filesystems can include
network filesystems, CD-ROMs, floppies, and other media.

Install this package if you want a program for automatically mounting and
unmounting filesystems. If your Red Hat Enterprise Linux machine is on a
network, you should install autofs.
Comment 1 Jeffrey Moyer 2006-02-06 13:09:15 EST
Please provide the information requested in the "Filing bug reports" section of
the following web page:
  http://people.redhat.com/jmoyer/

Thanks.
Comment 3 Ernie Petrides 2006-05-03 14:42:43 EDT
A fix for this problem was committed to the RHEL3 U8 patch pool
on 15-Feb-2006 (in kernel version 2.4.21-40.1.EL).

Note You need to log in before you can comment on or make changes to this bug.